package svc

import (
	"errors"

	"golib/v1/features/mlib/mo"
)

const (
	_Id      = "_id"
	_Creator = "creator"
)

var (
	ErrInvalidUser = errors.New("ErrInvalidUser")
)

type User interface {
	GetId() mo.ObjectID
	GetName() string
	GetUserName() string
	GetFlag() bool
	Valid() bool
}
